import dayjs from "dayjs";
export const customTrainDataDetector = (TrainNumber: string) => {
  switch (TrainNumber) {
    //しおかぜメイン
    //8000 ノーマル
    case "4M":
    case "6M":
    case "14M":
    case "16M":
    case "18M":
    case "26M":
    case "28M":
    case "30M":
    case "1M":
    case "3M":
    case "5M":
    case "13M":
    case "15M":
    case "17M":
    case "25M":
    case "27M":
    case "29M":
      return {
        type: "LTDEXP",
        trainName: "しおかぜ",
        trainIcon: "https://storage.haruk.in/s8000nr.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/shiokaze.html",
        trainNumDistance: 0,
        info: "いしづちと併結 / 8000系で運転",
      };
    case "2M":
      return {
        type: "LTDEXP",
        trainName: "しおかぜ",
        trainIcon: "https://storage.haruk.in/s8000nr.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/shiokaze.html",
        trainNumDistance: 0,
        info: "8000系で運転",
      };
    //8000 アンパン
    case "10M":
    case "22M":
    case "9M":
    case "21M":
      return {
        type: "LTDEXP",
        trainName: "しおかぜ",
        trainIcon: "https://storage.haruk.in/s8000ap.png",
        infoUrl: "https://www.jr-eki.com/aptrain/naani/yosan/train.html",
        trainNumDistance: 0,
        info: "いしづちと併結 / アンパンマン列車で運転",
      };
    //8600
    case "8M":
    case "12M":
    case "20M":
    case "24M":
    case "7M":
    case "11M":
    case "19M":
    case "23M":
      return {
        type: "LTDEXP",
        trainName: "しおかぜ",
        trainIcon: "https://storage.haruk.in/s8600.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/shiokaze.html",
        trainNumDistance: 0,
        info: "いしづちと併結 / 8600系で運転",
      };

    //いしづちメイン
    //8000 ノーマル

    case "1004M":
    case "1006M":
    case "1014M":
    case "1016M":
    case "1018M":
    case "1026M":
    case "1028M":
    case "1030M":
    case "1001M":
    case "1003M":
    case "1005M":
    case "1013M":
    case "1015M":
    case "1017M":
    case "1025M":
    case "1027M":
    case "1029M":
      return {
        type: "LTDEXP",
        trainName: "いしづち",
        trainIcon: "https://storage.haruk.in/s8000no.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/ishizuchi.html",
        trainNumDistance: 1000,
        info: "しおかぜと併結 / 8000系で運転",
      };

    //8000 アンパン
    case "1010M":
    case "1022M":
    case "1009M":
    case "1021M":
      return {
        type: "LTDEXP",
        trainName: "いしづち",
        trainIcon: "https://storage.haruk.in/s8000ap.png",
        infoUrl: "https://www.jr-eki.com/aptrain/naani/yosan/train.html",
        trainNumDistance: 1000,
        info: "しおかぜと併結 / アンパンマン列車で運転",
      };

    //8600
    case "1008M":
    case "1012M":
    case "1020M":
    case "1024M":
    case "1007M":
    case "1011M":
    case "1019M":
    case "1023M":
      return {
        type: "LTDEXP",
        trainName: "いしづち",
        trainIcon: "https://storage.haruk.in/s8600_isz.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/ishizuchi.html",
        trainNumDistance: 1000,
        info: "しおかぜと併結 / 8600系で運転",
      };

    //MEXP
    //8000
    case "1092M":
      return {
        type: "LTDEXP",
        trainName: "モーニングEXP高松",
        trainIcon: "https://storage.haruk.in/s8000nr.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/morning.html",
        trainNumDistance: null,
        info: "8000系で運転",
      };
    //8600
    case "1091M":
      return {
        type: "LTDEXP",
        trainName: "モーニングEXP松山",
        trainIcon: "https://storage.haruk.in/s8600_isz.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/morning.html",
        trainNumDistance: null,
        info: "8600系で運転",
      };
    //三桁いしづち
    //8000 アンパン
    case "1041M":
    case "1044M":
      return {
        type: "LTDEXP",
        trainName: "いしづち",
        trainIcon: "https://storage.haruk.in/s8000ap.png",
        infoUrl: "https://www.jr-eki.com/aptrain/naani/yosan/train.html",
        trainNumDistance: 940,
        info: "アンパンマン列車で運転",
      };
    //8600
    case "1043M":
    case "1042M":
    case "1046M":
      return {
        type: "LTDEXP",
        trainName: "いしづち",
        trainIcon: "https://storage.haruk.in/s8600_isz.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/ishizuchi.html",
        trainNumDistance: 940,
        info: "8600系で運転",
      };

    //南風 2700ノーマル
    case "34D":
    case "58D":
    case "31D":
    case "51D":
      return {
        type: "LTDEXP",
        trainName: "南風",
        trainIcon: "https://storage.haruk.in/s2700.png",
        infoUrl: "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/nanpu.html",
        trainNumDistance: 30,
        info: "しまんとと併結 / 2700系で運転",
      };
    case "52D":
    case "53D":
      return {
        type: "LTDEXP",
        trainName: "南風",
        trainIcon: "https://storage.haruk.in/s2700.png",
        infoUrl: "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/nanpu.html",
        trainNumDistance: 30,
        info: "うずしおと併結 / 2700系で運転",
      };
    case "38D":
    case "40D":
    case "42D":
    case "46D":
    case "50D":
    case "54D":
    case "35D":
    case "39D":
    case "41D":
    case "43D":
    case "47D":
    case "55D":
      return {
        type: "LTDEXP",
        trainName: "南風",
        trainIcon: "https://storage.haruk.in/s2700.png",
        infoUrl: "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/nanpu.html",
        trainNumDistance: 30,
        info: "2700系で運転",
      };

    //2700アンパン
    case "36D":
    case "37D":
      return {
        type: "LTDEXP",
        trainName: "南風",
        trainIcon: `https://n8n.haruk.in/webhook/dosan-anpanman-pictures.png?trainNum=${TrainNumber}&day=${dayjs().format(
          "yyyy-MM-DD"
        )}`,
        infoUrl: "https://www.jr-eki.com/aptrain/naani/dosan/train.html",
        trainNumDistance: 30,
        info: "うずしおと連結 / アンパンマン列車で運転",
      };
    case "32D":
    case "36D":
    case "44D":
    case "48D":
    case "56D":
    case "33D":
    case "37D":
    case "45D":
    case "49D":
    case "57D":
      return {
        type: "LTDEXP",
        trainName: "南風",
        trainIcon: `https://n8n.haruk.in/webhook/dosan-anpanman-pictures.png?trainNum=${TrainNumber}&day=${dayjs().format(
          "yyyy-MM-DD"
        )}`,
        infoUrl: "https://www.jr-eki.com/aptrain/naani/dosan/train.html",
        trainNumDistance: 30,
        info: "アンパンマン列車で運転",
      };

    //うずしお
    //2700
    case "5006D":
    case "5022D":
    case "5013D":
    case "5029D":
      return {
        type: "LTDEXP",
        trainName: "うずしお",
        trainIcon: "https://storage.haruk.in/s2700_uzu.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/uzushio.html",
        trainNumDistance: 5000,
        info: "南風と併結 / 高松-宇多津間進行方向逆転 / 2700系で運転",
      };
    case "3004D":
    case "3010D":
    case "3014D":
    case "3016D":
    case "3028D":
    case "3003D":
    case "3007D":
    case "3025D":
    case "3031D":
      return {
        type: "LTDEXP",
        trainName: "うずしお",
        trainIcon: "https://storage.haruk.in/s2700_uzu.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/uzushio.html",
        trainNumDistance: 3000,
        info: "2700系で運転",
      };

    //2700 二両編成

    case "3020D":
    case "3026D":
    case "3032D":
    case "3005D":
    case "3011D":
    case "3017D":
    case "3019D":
    case "3023D":
      return {
        type: "LTDEXP",
        trainName: "うずしお",
        trainIcon: "https://storage.haruk.in/s2700_uzu.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/uzushio.html",
        trainNumDistance: 3000,
        info: "2700系で運転",
      };

    //2600
    case "3002D":
    case "3012D":
    case "3018D":
    case "3024D":
    case "3030D":
    case "3009D":
    case "3015D":
    case "3021D":
    case "3027D":
    case "3033D":
      return {
        type: "LTDEXP",
        trainName: "うずしお",
        trainIcon: "https://storage.haruk.in/s2600.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/uzushio.html",
        trainNumDistance: 3000,
        info: "2600系で運転",
      };

    //キハ185
    case "3001D":
    case "3008D":
      return {
        type: "LTDEXP",
        trainName: "うずしお",
        trainIcon: "https://storage.haruk.in/s185tu_uzu.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/uzushio.html",
        trainNumDistance: 3000,
        info: "キハ185系で運転",
      };

    //マリンライナー
    case "3104M":
    case "3106M":
    case "3108M":
    case "3110M":
    case "3112M":
    case "3114M":
    case "3116M":
    case "3118M":
    case "3120M":
    case "3122M":
    case "3124M":
    case "3126M":
    case "3128M":
    case "3130M":
    case "3132M":
    case "3134M":
    case "3136M":
    case "3138M":
    case "3140M":
    case "3142M":
    case "3144M":
    case "3146M":
    case "3148M":
    case "3150M":
    case "3152M":
    case "3154M":
    case "3156M":
    case "3158M":
    case "3160M":
    case "3162M":
    case "3164M":
    case "3166M":
    case "3168M":
    case "3170M":
    case "3105M":
    case "3107M":
    case "3109M":
    case "3111M":
    case "3113M":
    case "3115M":
    case "3117M":
    case "3119M":
    case "3121M":
    case "3123M":
    case "3125M":
    case "3127M":
    case "3129M":
    case "3131M":
    case "3133M":
    case "3135M":
    case "3137M":
    case "3139M":
    case "3141M":
    case "3143M":
    case "3145M":
    case "3147M":
    case "3149M":
    case "3151M":
    case "3153M":
    case "3155M":
    case "3157M":
    case "3159M":
    case "3161M":
    case "3163M":
    case "3165M":
    case "3167M":
    case "3169M":
    case "3175M":
      return {
        type: "Rapid",
        trainName: "マリンライナー",
        trainIcon: "https://storage.haruk.in/s5001.png",
        infoUrl: "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/marine.html",
        trainNumDistance: 3100,
        info: "",
      };
    case "3102M":
    case "3101M":
    case "3103M":
    case "3171M":
    case "3173M":
      return {
        type: "Rapid",
        trainName: "マリンライナー",
        trainIcon: "https://storage.haruk.in/s5001k.png",
        infoUrl: "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/marine.html",
        trainNumDistance: 3100,
        info: "",
      };

    //サンライズ瀬戸
    case "5032M":
    case "5031M":
      return {
        type: "NightLTDEXP",
        trainName: "サンライズ瀬戸",
        trainIcon: "https://storage.haruk.in/w285.png",
        infoUrl:
          "https://www.jr-odekake.net/train/sunriseseto_izumo/index.html",
        trainNumDistance: null,
        info: "",
      };
    case "8041M": //琴平延長高松迄
    case "8031M": //琴平延長高松以降
      return {
        type: "NightLTDEXP",
        trainName: "サンライズ瀬戸",
        trainIcon: "https://storage.haruk.in/w285.png",
        infoUrl:
          "https://www.jr-odekake.net/train/sunriseseto_izumo/index.html",
        trainNumDistance: null,
        info: "琴平延長運転日",
      };

    //宇和海
    //2000 ノーマル
    case "1052D":
    case "1056D":
    case "1058D":
    case "1062D":
    case "1064D":
    case "1068D":
    case "1070D":
    case "1074D":
    case "1076D":
    case "1078D":
    case "1080D":
    case "1082D":
    case "1051D":
    case "1053D":
    case "1057D":
    case "1059D":
    case "1063D":
    case "1065D":
    case "1069D":
    case "1071D":
    case "1073D":
    case "1075D":
    case "1077D":
    case "1079D":
      return {
        type: "LTDEXP",
        trainName: "宇和海",
        trainIcon: "https://storage.haruk.in/s2000_uwa.png",
        infoUrl: "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/uwakai.html",
        trainNumDistance: 1050,
        info: "2000系で運転",
      };
    //2000 アンパン込み
    case "1054D":
    case "1060D":
    case "1066D":
    case "1072D":
    case "1055D":
    case "1061D":
    case "1067D":
    case "1081D":
      return {
        type: "LTDEXP",
        trainName: "宇和海",
        trainIcon: "https://storage.haruk.in/s2002a.png",
        infoUrl: "https://www.jr-eki.com/aptrain/naani/yosan/train.html",
        trainNumDistance: 1050,
        info: "アンパン列車で運転",
      };
    //しまんと
    case "2002D":
    case "2008D":
    case "2001D":
    case "2005D":
      return {
        type: "LTDEXP",
        trainName: "しまんと",
        trainIcon: "https://storage.haruk.in/s2700_smn.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/shimanto.html",
        trainNumDistance: 2000,
        info: "2700系で運転",
      };
    case "2004D":
    case "2006D":
    case "2003D":
    case "2007D":
      return {
        type: "LTDEXP",
        trainName: "しまんと",
        trainIcon: "https://storage.haruk.in/s2700_smn.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/shimanto.html",
        trainNumDistance: 2000,
        info: "南風と併結 / 2700系で運転",
      };

    //あしずり 2000
    case "2074D":
    case "2076D":
    case "2080D":
    case "2082D":
    case "2071D":
    case "2073D":
    case "2079D":
    case "2081D":
      return {
        type: "LTDEXP",
        trainName: "あしずり",
        trainIcon: "https://storage.haruk.in/s2000_asi.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/ashizuri.html",
        trainNumDistance: 2070,
        info: "2000系で運転",
      };

    //あしずり 2700
    case "2078D":
    case "2084D":
    case "2088D":
    case "2075D":
    case "2077D":
    case "2072D":
    case "2083D":
      return {
        type: "LTDEXP",
        trainName: "あしずり",
        trainIcon: "https://storage.haruk.in/s2700_asi.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/ashizuri.html",
        trainNumDistance: 2070,
        info: "2700系で運転",
      };

    //剣山
    case "4002D":
    case "4004D":
    case "4006D":
    case "4008D":
    case "4010D":
    case "4001D":
    case "4003D":
    case "4005D":
    case "4007D":
    case "4009D":
    case "4011D":
      return {
        type: "LTDEXP",
        trainName: "剣山",
        trainIcon: "https://storage.haruk.in/s185tu.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/tsurugisan.html",
        trainNumDistance: 4000,
        info: "キハ185系で運転",
      };

    //むろと
    case "8051D":
    case "8052D":
      return {
        type: "LTDEXP",
        trainName: "むろと",
        trainIcon: "https://storage.haruk.in/s185_mrt.png",
        infoUrl: "http://jr-shikoku.co.jp/01_trainbus/vehicle-info/muroto.html",
        trainNumDistance: 5050,
        info: "キハ185系で運転",
      };

    //よしのがわトロッコ
    case "8452D":
    case "8451D":
      return {
        type: "LTDEXP",
        trainName: "よしのがわトロッコ",
        trainIcon: "https://storage.haruk.in/s185to_ai.png",
        infoUrl:
          "http://jr-shikoku.co.jp/01_trainbus/event_train/yoshino_torokko.html",
        trainNumDistance: null,
        info: "",
      };

    //岡山高松アントロ
    case "8176D":
    case "8179D":
    //岡山琴平アントロ
    case "8277D":
    case "8278D":
      return {
        type: "LTDEXP",
        trainName: "アンパンマントロッコ",
        trainIcon: "https://storage.haruk.in/s32to4.png",
        infoUrl:
          "https://www.jr-eki.com/aptrain/naani/torokko_seto/jikoku.html",
        trainNumDistance: null,
        info: "",
      };

    //伊予灘ものがたり
    case "8091D":
    case "8093D":
      return {
        type: "LTDEXP",
        trainName: "伊予灘ものがたり",
        trainIcon: "https://storage.haruk.in/s185iyor.png",
        infoUrl: "https://iyonadamonogatari.com/",
        trainNumDistance: null,
        info: "",
      };
    case "8092D":
    case "8094D":
      return {
        type: "LTDEXP",
        trainName: "伊予灘ものがたり",
        trainIcon: "https://storage.haruk.in/s185iyoy.png",
        infoUrl: "https://iyonadamonogatari.com/",
        trainNumDistance: null,
        info: "",
      };

    //千年ものがたり
    case "8021D":
    case "8022D":
      return {
        type: "LTDEXP",
        trainName: "四国まんなか千年ものがたり",
        trainIcon: "https://storage.haruk.in/s185mm1.png",
        infoUrl: "https://www.jr-shikoku.co.jp/sennenmonogatari/",
        trainNumDistance: null,
        info: "",
      };

    //夜明けものがたり
    case "8082D":
    case "8083D":
    case "8073D":
    case "8074D":
      return {
        type: "LTDEXP",
        trainName: "時代の夜明けのものがたり",
        trainIcon: "https://storage.haruk.in/s185ym1.png",
        infoUrl: "https://www.jr-shikoku.co.jp/yoakenomonogatari/index.html",
        trainNumDistance: null,
        info: "",
      };

    default:
      if (
        new RegExp(/^4[1-9]\d\d[DM]$/).test(TrainNumber) ||
        new RegExp(/^5[1-7]\d\d[DM]$/).test(TrainNumber) ||
        TrainNumber === "3621D"
      )
        return {
          type: "OneMan",
          trainName: "",
          trainIcon: null,
          infoUrl: null,
          trainNumDistance: null,
          info: null,
        };
      else
        return {
          type: "Normal",
          trainName: "",
          trainIcon: null,
          infoUrl: null,
          trainNumDistance: null,
          info: null,
        };
      break;
  }
};
export const getJRF = (num: string) => {
  switch (num) {
    case "71":
      return "東京(タ)→高松(タ)\\n";
    case "73":
    case "75":
      return "大阪(タ)→高松(タ)\\n";
    case "3079":
      return "高松(タ)→伊予三島\\n";
    case "3071":
    case "3077":
      return "高松(タ)→新居浜\\n";
    case "3073":
      return "高松(タ)→松山貨物\\n";
    case "70":
      return "高松(タ)→東京(タ)\\n";
    case "74":
    case "76":
      return "高松(タ)→大阪(タ)\\n";
    case "3078":
      return "伊予三島→高松(タ)\\n";
    case "3070":
      return "新居浜→高松(タ)\\n";
    case "3076":
      return "新居浜→高松(タ)\\n";
    case "3072":
      return "松山貨物→高松(タ)\\n";
    case "9070":
      return "臨時貨物\\n";
    default:
      return null;
  }
};
